import { Class, ConfigMap } from './types';
export declare class ConfigService {
    private readonly configs;
    private readonly envs;
    private readonly logger;
    constructor(configs: ConfigMap, envs: Record<string, string>);
    add(providers: Array<Class>): this;
    get<Config>(provider: Class<Config>): Config;
    value<Config, Key extends keyof Config>(provider: Class<Config>, key: Key, defaultValue?: Config[Key]): Config[Key];
    values<Configs>(...providers: Array<Class<Configs>>): {};
    override<Config>(provider: Class<Config>, overrides?: Partial<Config>): Config;
    validate<Config>(providers: Array<Class<Config>>): void;
    getConfigs(): ConfigMap;
}
